#include <spdlog/spdlog.h>
#include "./did_open_provider.hpp"

namespace lsp::providers::text_document
{
    std::string DidOpenProvider::GetMethod() const
    {
        return "textDocument/didOpen";
    }

    std::string DidOpenProvider::GetProviderName() const
    {
        return "DidOpenProvider";
    }

    void DidOpenProvider::HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context)
    {
        static_cast<void>(context);
        spdlog::debug("DidOpenProvider: Providing response for method {}", notification.method);
    }

}
